/**
 * generated by Xtext 2.19.0
 */
package fr.istic.mML;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Data Input</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link fr.istic.mML.DataInput#getFile <em>File</em>}</li>
 *   <li>{@link fr.istic.mML.DataInput#getCsvSeparator <em>Csv Separator</em>}</li>
 * </ul>
 *
 * @see fr.istic.mML.MMLPackage#getDataInput()
 * @model
 * @generated
 */
public interface DataInput extends EObject
{
  /**
   * Returns the value of the '<em><b>File</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>File</em>' attribute.
   * @see #setFile(String)
   * @see fr.istic.mML.MMLPackage#getDataInput_File()
   * @model
   * @generated
   */
  String getFile();

  /**
   * Sets the value of the '{@link fr.istic.mML.DataInput#getFile <em>File</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>File</em>' attribute.
   * @see #getFile()
   * @generated
   */
  void setFile(String value);

  /**
   * Returns the value of the '<em><b>Csv Separator</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Csv Separator</em>' containment reference.
   * @see #setCsvSeparator(CSVSeparator)
   * @see fr.istic.mML.MMLPackage#getDataInput_CsvSeparator()
   * @model containment="true"
   * @generated
   */
  CSVSeparator getCsvSeparator();

  /**
   * Sets the value of the '{@link fr.istic.mML.DataInput#getCsvSeparator <em>Csv Separator</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Csv Separator</em>' containment reference.
   * @see #getCsvSeparator()
   * @generated
   */
  void setCsvSeparator(CSVSeparator value);

} // DataInput
